import { getHostClassNames } from './class-names';
import { validateUiComponentProps } from '../ui-component-props/ui-component-props';
export const suffixLayoutClassNamesConfig = {
    prefix: 'cck-suffix',
    elements: {
        host: {
            name: 'Host Element',
            selectors: [
                'cck-suffix'
            ],
            description: 'It will add to the host element of Suffix component.'
        }
    }
};
export function getSuffixClassNames(componentProps, uiComponentsConfig) {
    const options = {
        componentName: 'suffix',
        componentProps,
        uiComponentsConfig
    };
    validateUiComponentProps(options);
    return {
        host: [
            ...suffixLayoutClassNamesConfig.elements.host.selectors,
            ...getHostClassNames(suffixLayoutClassNamesConfig.prefix, options)
        ]
    };
}
