import { ThemeSvgIcon } from './theme-svg-icon.model';
export type UIComponentsName = 'formField' | 'label' | 'error' | 'hint' | 'prefix' | 'suffix' | 'trailing' | 'leading' | 'input' | 'textarea' | 'select' | 'option' | 'optionGroup' | 'selectPreview' | 'chip' | 'chipList' | 'menu' | 'menuItem' | 'divider' | 'toggle' | 'radioButton' | 'radioGroup' | 'checkbox' | 'button' | 'iconButton' | 'svgIcon';
export type UIComponentsPropName = 'type' | 'color' | 'size';
export type ThemeUIComponentPropValue = string | number | boolean;
export type ThemeUIComponentProps = Partial<Record<UIComponentsPropName, ThemeUIComponentPropValue | null>> & {
    additional?: Record<string, ThemeUIComponentPropValue | null>;
};
export type ThemeUIComponentConfig = Record<UIComponentsPropName, ThemeUIComponentPropsConfig | null> & {
    additional?: Record<string, ThemeUIComponentPropsConfig>;
    component?: {
        checkboxCheckmark?: string;
        radioCheckmark?: string;
        dropdownIcon?: ThemeSvgIcon;
        optionSelectedIcon?: ThemeSvgIcon;
        chipRemoveIcon?: ThemeSvgIcon;
    };
};
export interface ThemeUIComponentPropsConfig {
    name: UIComponentsPropName | string;
    values: ThemeUIComponentPropValue[];
    require: boolean;
    default: ThemeUIComponentPropValue | null;
    description: string;
}
export type ThemeUIComponentsConfig = Record<UIComponentsName, ThemeUIComponentConfig>;
export interface ThemeUIComponentsOptions {
    componentName: UIComponentsName;
    componentProps: ThemeUIComponentProps;
    uiComponentsConfig: ThemeUIComponentsConfig;
}
